[Pkg-irc-commits] r112 - /packages/conspire/trunk/debian/postinst

asciitxt-guest at users.alioth.debian.org asciitxt-guest at users.alioth.debian.org
Thu Jan 17 01:21:55 UTC 2008


Author: asciitxt-guest
Date: Thu Jan 17 01:21:54 2008
New Revision: 112

URL: http://svn.debian.org/wsvn/pkg-irc/?sc=1&rev=112
Log:

For those of us who don't use debhelper a simple postinst

Added:
    packages/conspire/trunk/debian/postinst

Added: packages/conspire/trunk/debian/postinst
URL: http://svn.debian.org/wsvn/pkg-irc/packages/conspire/trunk/debian/postinst?rev=112&op=file
==============================================================================
--- packages/conspire/trunk/debian/postinst (added)
+++ packages/conspire/trunk/debian/postinst Thu Jan 17 01:21:54 2008
@@ -1,0 +1,38 @@
+#!/bin/sh
+# postinst script for ircd-ratbox
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ldconfig;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
+
+
+
+exit 0




More information about the Pkg-irc-commits mailing list